--------(--)

スポンサーサイト

上記の広告は1ヶ月以上更新のないブログに表示されています。
新しい記事を書く事で広告が消せます。

2014-03-30(Sun)

PHP Laravelをインストール on Ubuntu12.04 LTS

PHPFramework最近の情報を見ていて触ってみたくなった。

まずはUbuntuのバージョン確認

$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 12.04.4 LTS
Release: 12.04
Codename: precise



Laravelをインストール。
最初にここら辺はいれときましょう。
PHPも5.5にアップしておきます。

$ sudo add-apt-repository ppa:ondrej/php5
$ sudo apt-get update
$ sudo apt-get install libapache2-mod-php5 php5 php5-cli php5-common php5-curl php5-mcrypt


LaravelのインストールはここのComposerを利用方法を使う。

Composerをインストール

ここを参考にした。
$ sudo su
$ cd /usr/local/bin
$ curl -sS https://getcomposer.org/installer | php -- --install-dir=/usr/local/bin --filename=composer


laravelをインストール

$ cd ~/laravel
$ composer create-project laravel/laravel blog --prefer-dist


bashrcへPATHを指定

$ vim ~/.bashrc
export PATH="$PATH":/usr/local/bin
$ source ~/.bashrc


今日はここまで。

参考:
ERROR. The PHP cURL extension must be installed to use Guzzle.

how do I upgrade from php 5.3 to php 5.4.6 in ubuntu?




プロフィール

kumagonjp2

Author:kumagonjp2
Python,Django,R,Mongo,MySQL,Struts,Spring,データマイニングなどサーバー関係のメモを残していきます。

最新記事
最新コメント
最新トラックバック
月別アーカイブ
カテゴリ
雪が3Dで降るブログパーツ ver2

マウスで見る方向変えられます

検索フォーム
RSSリンクの表示
リンク
ブロとも申請フォーム

この人とブロともになる

QRコード
QR
上記広告は1ヶ月以上更新のないブログに表示されています。新しい記事を書くことで広告を消せます。